bundle installで「make: g++: コマンドが見つかりませんでした」が出たときの対処方法

rails 5.0.0でtherubyracerをインストールしようとしたときにエラーで出来ませんでした。

bundle installすると、このようなエラーがでます。

compiling v8.cc
make: g++: コマンドが見つかりませんでした
make: *** [v8.o] エラー 127

 

gcc++がないのでインストールします。

sudo yum -y install gcc-c++

もう一度、bundle installします。

Installing therubyracer 0.12.2 with native extensions

インストールができました。

 

スポンサーリンク

他のrailsトラブルはこちら

Cコンパイラはちゃんとインストールしてる?rbenvからrubyがインストールできないときの対処法